package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RechargeTrendVO {
    @ApiModelProperty(notes = "充值人数")
    private Long rechargeUserCount;

    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    @ApiModelProperty(notes = "增")
    private BigDecimal increase;

    @ApiModelProperty(notes = "回")
    private BigDecimal back;

    @ApiModelProperty(notes = "倍")
    private BigDecimal multiples;

    @ApiModelProperty(notes = "总充值金额")
    private BigDecimal rechargeMoneyTotal;
}
