package com.zanxiang.game.module.sdk.service;

import com.zanxiang.game.module.mybatis.entity.User;
import com.zanxiang.game.module.sdk.pojo.dto.PlatformOrderDTO;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-11-10
 * @description : 回传
 */
public interface ICallBackService {

    /**
     * 用户回传
     *
     * @param user        用户
     * @param urlParamMap url参数映射
     */
    void userCallBack(User user, Map<String, String> urlParamMap);

    /**
     * 订单回传
     *
     * @param orderInfo 订单信息
     */
    void orderCallBack(PlatformOrderDTO orderInfo);
}
