package com.zanxiang.game.back.base.rpc;

import com.zanxiang.game.back.base.pojo.dto.TtOrderRpcDTO;
import com.zanxiang.game.back.base.pojo.dto.TtUserActiveRpcDTO;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * 微信小游戏头条上报
 * 参考文档：https://bytedance.feishu.cn/docx/doxcnsCqXkvxoAg36GDzkRRRuAq
 */
public interface ITtMiniGameBackRpc {

    /**
     * 用户激活、注册等上报
     */
    ResultVO<Boolean> userActiveReport(TtUserActiveRpcDTO dto);

    /**
     * 用户下单、支付上报
     */
    ResultVO<Boolean> orderReport(TtOrderRpcDTO dto);
}
